# Uses of Class
org.eclipse.net4j.buffer.BufferOutputStream

Packages that use BufferOutputStream
Package
Description
org.eclipse.net4j.channel
The Net4j transport layer concepts for dealing with channels.
org.eclipse.net4j.signal
A framework for request/response based communication on top of the Net4j transport layer.

## Uses of BufferOutputStream in org.eclipse.net4j.channel

Subclasses of BufferOutputStream in org.eclipse.net4j.channel
Modifier and Type
Class
Description
`class`
`ChannelOutputStream`
An `output stream` that fragments the written byte sequence into fixed-sized `buffers` and passes them to configured `channel`.

## Uses of BufferOutputStream in org.eclipse.net4j.signal

Methods in org.eclipse.net4j.signal that return BufferOutputStream
Modifier and Type
Method
Description
`protected final BufferOutputStream`
Signal.`getBufferOutputStream()`
Methods in org.eclipse.net4j.signal with parameters of type BufferOutputStream
Modifier and Type
Method
Description
`protected void`
Indication.`execute(BufferInputStream in, BufferOutputStream out)`
`protected void`
IndicationWithResponse.`execute(BufferInputStream in, BufferOutputStream out)`
`protected abstract void`
Signal.`execute(BufferInputStream in, BufferOutputStream out)`
`protected final void`
SignalActor.`execute(BufferInputStream in, BufferOutputStream out)`